Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/src/OCE/DOM/phycst.F90
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/src/OCE/DOM/phycst.F90	(revision 13650)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/src/OCE/DOM/phycst.F90	(revision 13655)
@@ -7,7 +7,7 @@
    !!             8.1  !  1991-11  (G. Madec, M. Imbard)  cosmetic changes
    !!   NEMO      1.0  !  2002-08  (G. Madec, C. Ethe)  F90, add ice constants
-   !!              -   !  2006-08  (G. Madec)  style 
-   !!             3.2  !  2006-08  (S. Masson, G. Madec)  suppress useless variables + style 
-   !!             3.4  !  2011-11  (C. Harris)  minor changes for CICE constants 
+   !!              -   !  2006-08  (G. Madec)  style
+   !!             3.2  !  2006-08  (S. Masson, G. Madec)  suppress useless variables + style
+   !!             3.4  !  2011-11  (C. Harris)  minor changes for CICE constants
    !!----------------------------------------------------------------------
 
@@ -26,5 +26,5 @@
    REAL(wp), PUBLIC ::   rad      = 3.141592653589793_wp / 180._wp   !: conversion from degre into radian
    REAL(wp), PUBLIC ::   rsmall   = 0.5 * EPSILON( 1.e0 )            !: smallest real computer value
-   
+
    REAL(wp), PUBLIC ::   rday     = 24.*60.*60.      !: day                                [s]
    REAL(wp), PUBLIC ::   rsiyea                      !: sideral year                       [s]
@@ -36,5 +36,5 @@
    REAL(wp), PUBLIC ::   omega                       !: earth rotation parameter           [s-1]
    REAL(wp), PUBLIC ::   ra       = 6371229._wp      !: earth radius                       [m]
-   REAL(wp), PUBLIC ::   grav     = 9.80665_wp       !: gravity                            [m/s2]   
+   REAL(wp), PUBLIC ::   grav     = 9.80665_wp       !: gravity                            [m/s2]
    REAL(wp), PUBLIC ::   rt0      = 273.15_wp        !: freezing point of fresh water [Kelvin]
 
@@ -43,5 +43,5 @@
    REAL(wp), PUBLIC ::   rcp                         !: ocean specific heat           [J/Kelvin]
    REAL(wp), PUBLIC ::   r1_rcp                      !: = 1. / rcp                    [Kelvin/J]
-   REAL(wp), PUBLIC ::   rho0_rcp                    !: = rho0 * rcp 
+   REAL(wp), PUBLIC ::   rho0_rcp                    !: = rho0 * rcp
    REAL(wp), PUBLIC ::   r1_rho0_rcp                 !: = 1. / ( rho0 * rcp )
 
@@ -52,5 +52,6 @@
    REAL(wp), PUBLIC ::   rLevap   =    2.5e+6_wp     !: latent heat of evaporation (water)
    REAL(wp), PUBLIC ::   vkarmn   =    0.4_wp        !: von Karman constant
-   REAL(wp), PUBLIC ::   stefan   =    5.67e-8_wp    !: Stefan-Boltzmann constant 
+   REAL(wp), PUBLIC ::   vkarmn2  =    0.4_wp*0.4_wp !: square of von Karman constant
+   REAL(wp), PUBLIC ::   stefan   =    5.67e-8_wp    !: Stefan-Boltzmann constant
 
    REAL(wp), PUBLIC ::   rhos     =  330._wp         !: volumic mass of snow                                  [kg/m3]
@@ -68,10 +69,10 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
-   
+
 CONTAINS
-   
+
    SUBROUTINE phy_cst
       !!----------------------------------------------------------------------
@@ -86,5 +87,5 @@
       omega  = 7.292116e-05
 #else
-      omega  = 2._wp * rpi / rsiday 
+      omega  = 2._wp * rpi / rsiday
 #endif
 
@@ -125,6 +126,6 @@
          WRITE(numout,*) '      salinity of ice (for pisces)              = ', sice    , ' psu'
          WRITE(numout,*) '      salinity of sea (for pisces and isf)      = ', soce    , ' psu'
-         WRITE(numout,*) '      latent heat of evaporation (water)        = ', rLevap  , ' J/m^3' 
-         WRITE(numout,*) '      von Karman constant                       = ', vkarmn 
+         WRITE(numout,*) '      latent heat of evaporation (water)        = ', rLevap  , ' J/m^3'
+         WRITE(numout,*) '      von Karman constant                       = ', vkarmn
          WRITE(numout,*) '      Stefan-Boltzmann constant                 = ', stefan  , ' J/s/m^2/K^4'
          WRITE(numout,*)
